# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc审核其他状态的需求单,2250,2250-11,sit,bs
主数据平台:运营后台管理系统需求单审核拒绝接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_demand_fail"


# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步查询需求单列表中审核通过的需求单
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload40")
# 发送请求
result = requests.post(url1, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取demandId
demand_id = result["data"]["list"][0]["demandId"]

# 第三步进行审核操作
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
request_body1 = commonFuc().get_business_data(module, "payload4", demand_id)

"""
 场景:审核其他状态下的需求单
 用例名称：审核其他状态下的需求单
 输出：{"success":true,"code":"200","message":"OK","data":1}
"""

# 发送请求
result1 = requests.post(url1, json=request_body1, headers=headers)
# 获取接口响应时间
api_time = result1.elapsed.total_seconds()
result1 = json.loads(result1.content)
result1["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict4")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result1)
